WordPress 4.3-scripts
[autoinstalls/wordpress.git] / wp-includes / compat.php
index 4317eb689b1416f187f66870a9a5b1a068666af2..553faeb1d8fd471e4d46c9ee21a512a00831ef96 100644 (file)
@@ -20,6 +20,8 @@ if ( !function_exists('_') ) {
  * @since 4.2.2
  * @access private
  *
+ * @staticvar string $utf8_pcre
+ *
  * @param bool $set - Used for testing only
  *             null   : default - get PCRE/u capability
  *             false  : Used for testing - return false for future calls to this function
@@ -193,6 +195,12 @@ if ( !function_exists('json_encode') ) {
 }
 
 if ( !function_exists('json_decode') ) {
+       /**
+        * @global Services_JSON $wp_json
+        * @param string $string
+        * @param bool   $assoc_array
+        * @return object|array
+        */
        function json_decode( $string, $assoc_array = false ) {
                global $wp_json;
 
@@ -206,6 +214,11 @@ if ( !function_exists('json_decode') ) {
                        $res = _json_decode_object_helper( $res );
                return $res;
        }
+
+       /**
+        * @param object $data
+        * @return array
+        */
        function _json_decode_object_helper($data) {
                if ( is_object($data) )
                        $data = get_object_vars($data);